org.apache.ignite.internal.binary

## Class BinaryCachingMetadataHandler

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryCachingMetadataHandler

All Implemented Interfaces:
  BinaryMetadataHandler

    public class BinaryCachingMetadataHandler
    extends Object
    implements BinaryMetadataHandler

Simple caching metadata handler. Used mainly in tests.

### Method Summary

Methods
`void` `addMeta(int typeId, BinaryType type)` Adds meta data.
`static BinaryCachingMetadataHandler` `create()` Create new handler instance.
`BinaryType` `metadata(int typeId)` Gets meta data for provided type ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static BinaryCachingMetadataHandler create()

Create new handler instance.

Returns:
  New handler.

#### addMeta

    public void addMeta(int typeId,
               BinaryType type)
                 throws BinaryObjectException

Adds meta data.

Specified by:
  `addMeta` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
  `type` - Meta data.
Throws:
  `BinaryObjectException` - In case of error.

#### metadata

    public BinaryType metadata(int typeId)
                        throws BinaryObjectException

Gets meta data for provided type ID.

Specified by:
  `metadata` in interface `BinaryMetadataHandler`
Parameters:
  `typeId` - Type ID.
Returns:
  Meta data.
Throws:
  `BinaryObjectException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015